<!DOCTYPE html>
<html <?php language_attributes(); ?> >
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php 
		$businesso_options=theme_default_data(); 
		$header_setting = wp_parse_args(  get_option( 'businesso_option', array() ), $businesso_options ); 
	?>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>"/>
	<?php  wp_head();
	if($header_setting['layout_setting_data'] == "boxed")
	{ $class="boxed"; }
	else
	{ $class="wide"; }

	$bd = get_post_meta( get_the_ID(), 'businesso_breadcrumb_image', true );
		if($bd){ ?>
			<style type="text/css">
				.page-title-section
					{
						background: url('<?php  echo esc_url($bd); ?>') no-repeat fixed 0 0 / cover rgba(0,0,0,0);
						height: 100%;
						margin: 0;
						overflow: hidden;
						padding: 0;
						MAX-width: 100%;
					}
			</style>
	<?php }else{ ?>
			<style type="text/css">
				.page-title-section
					{
						background: url('<?php  echo esc_url($header_setting['slider_image_one1']); ?>') no-repeat fixed 0 0 / cover rgba(0,0,0,0);
						height: 100%;
						margin: 0;
						overflow: hidden;
						padding: 0;
						MAX-width: 100%;
					}
			</style>
	<?php } ?>
</head>
<body <?php body_class($class); ?> >
<?php 
if ( ! function_exists( 'wp_body_open' ) ) {
    function wp_body_open() {
        do_action( 'wp_body_open' );
    }
}

?>
<!-- Wrapper -->
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'businesso' ); ?></a>

<?php
$my_theme = wp_get_theme();
if($my_theme->get( 'Name' ) == 'businesso'){
 get_template_part('extraFeature');
}

//$my_theme = wp_get_theme( 'twentytwelve' );

 ?>
<div id="wrapper">
<!--------Header--------------->
	<div class="header-section">
     <div class="container header-inner">
        <div class="row">
			<div class="col-md-6 site-logo">
				<h2><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="Businesso">
				<?php if($header_setting['upload_image_logo']!='') { ?>
				<img src="<?php  echo esc_url($header_setting['upload_image_logo']); ?>" style="height:<?php if($header_setting['height']!='') { echo esc_html($header_setting['height']); } ?>px; width:<?php if($header_setting['width']!='') { echo esc_html($header_setting['width']); } ?>px;" />
				<?php } else
					{ 
						echo get_bloginfo('name');
					} ?>
				</a></h2>
			</div>
           <div class="col-md-6">			
             <ul class="contact-top">
			 <?php if($header_setting['header_info_mail']!=''){ ?>
		        <li><i class="fa fa-envelope"></i><?php echo esc_html($header_setting['header_info_mail']); ?></li>
				<?php } if($header_setting['header_info_phone']!=''){ ?>
				<li><i class="fa fa-phone"></i><?php echo esc_html($header_setting['header_info_phone']); ?></li>
				<?php } ?>
			 </ul>
          </div>			
		</div>
	</div>	
	<div>
	
     <nav class="container navbar navbar-default primary" role="navigation" aria-label="Main Navigation" id="desktop-show">
	     <div class="container">
		<!-- Brand and toggle get grouped for better mobile display -->
		<div class="navbar-header">
			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
				<span class="sr-only"><?php esc_html_e('Toggle navigation','businesso');?></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
		</div>
		<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
		<?php	wp_nav_menu( array(  
									'theme_location' => 'primary',
									'container'  => 'collapse navbar-collapse',
									'menu_class' => 'nav navbar-nav primary-menu',
									'fallback_cb' => 'asiathemes_fallback_page_menu',
									'walker' => new asiathemes_nav_walker()
									)
								);	?>
  <!-- Trigger the modal with a button -->
  <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal"><i class="fa fa-search"></i></button>

  <!-- Modal -->
  <div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <center><h4 class="modal-title"><?php esc_html('Welcome to businesso WordPress Theme','businesso');?></h4></center>
        </div>
		<br />
        <center><p><?php esc_html_e('Please enter your search content here...','businesso');?></p>
          <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" id="searchform">
				<div class="search-box-top">
				
				<input type="text" class="form-control" name="s" id="s"  aria-describedby="basic-addon2" placeholder="<?php esc_attr_e( "Search Here..", 'businesso' ); ?>">
			     <button class="btn btn-search top-search" type="submit"><i class="fa fa-search"></i></button>
				</div>
			</form>
			</center>
      </div>
    </div>
  </div>
  
		</div>
	</div>
 </nav>
     <div class="container mobileshow">
    <div class="sidebarmenu">
        <div class="sidebar-menu">
            <a href='javascript:void(0)' onclick="openNav()"><i class="fa fa-bars" aria-hidden="true"></i></a> </div>
            <div id="mySidenav" class="sidenav"> <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times; </a>
                <div id='sidebarmenuleft'>
                    <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
                </div>
            </div>

        </div>
    </div>
</div>
</div>	
<!--------/Header--------------->

<div id="content">